Page MenuHomePhabricator

Allow &redirect for action=edit
Closed, ResolvedPublic

Description

It would be useful if the API would accept the redirect parameter if action=edit and the editaction is either appendtext or prependtext. This would allow scripts to append text to pages w/o checking for redirects first.


Version: 1.11.x
Severity: enhancement

Details

Reference
bz24330

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz24330.
DieBuche created this task.Jul 10 2010, 2:42 PM

soxred93 wrote:

r70658

n.b. - we should enforce the requirement that the action is append or prepend. Otherwise, this looks like an extremely useful way to destroy data.

Change 133955 had a related patch set uploaded by Adamw:
(bug 24330) Enforce section=new constraint when using 'redirect' mode

https://gerrit.wikimedia.org/r/133955

Reopening per comment 2. Patch is available for review!

Change 133955 had a related patch set uploaded by Anomie:
API: Enforce section=new constraint when using 'redirect' mode

https://gerrit.wikimedia.org/r/133955

Change 133955 merged by jenkins-bot:
API: Enforce section=new constraint when using 'redirect' mode

https://gerrit.wikimedia.org/r/133955

jayvdb added a comment.Oct 7 2014, 6:13 AM

Did the merged patch resolve all of this bug?

Adam / anomie:

(In reply to John Mark Vandenberg from comment #7)

Did the merged patch resolve all of this bug?

Adam / anomie:

(In reply to John Mark Vandenberg from comment #7)

Did the merged patch resolve all of this bug?

Anomie closed this task as Resolved.Feb 20 2015, 7:26 PM
Anomie reassigned this task from Catrope to awight.
Anomie set Security to None.